Colony - Enhancement #237

Design Dragonfly Replacement Board
02/08/2008 12:51 PM - Kevin Woo

Status: Feedback Start date:

Priority: Tabled Due date:

Assignee: % Done: 0%
Category: Hardware Estimated time: 0.00 hour
Target version: Hardware

Description

Things to fix:

L]

No critical IO or communications lines over the motors
ARCHs integrated into board
o Builtin 12C to ARCHs
Integrated SPI hookups to encoder connectors
o Separate chip select lines
o CLK and MISO/MOSI from SPI module
16MHz External clock
Fix FTDI chip to use 3.3v VCCIO instead of 5V
External pull ups for buttons
Cheaper range finders? Perhaps Digital ones.

History

#1 - 02/08/2008 04:58 PM - Kevin Woo
Things to fix:

® No critical IO or communications lines over the motors
¢ ARCHs integrated into board
o Built in I12C to ARCHs

¢ Integrated SPI hookups to encoder connectors

o Separate chip select lines

o CLK and MISO/MOSI from SPI module
16MHz External clock
Fix FTDI chip to use 3.3v VCCIO instead of 5V
External pull ups for buttons
Cheaper range finders? Perhaps Digital ones.
Omniwheels

#2 - 01/30/2009 06:14 PM - Kevin Woo

- Status changed from New to Assigned
#3 - 03/07/2009 11:41 PM - Kevin Woo
- Status changed from Assigned to Feedback

- Assignee deleted (Unassigned Ticket -)

#4 - 03/21/2009 12:54 PM - Rich Hong
- Category set to Hardware
